<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionFavor](./bitburner.singularity.getfactionfavor.md)

## Singularity.getFactionFavor() method

Get faction favor.

<b>Signature:</b>

```typescript
getFactionFavor(faction: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of faction. |

<b>Returns:</b>

number

Amount of favor you have for the specified faction.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function returns the amount of favor you have for the specified faction.

